Bug 863810 - Crash Opening Word .docx document
Crash Opening Word .docx document
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
: 890025 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-10-07 11:10 EDT by John Mellor
Modified: 2013-01-04 14:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-21 07:21:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
.docx document that causes the crash. (978.97 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-10-07 11:10 EDT, John Mellor
no flags Details
traceback constructed by abrt (167.86 KB, text/plain)
2012-10-07 11:13 EDT, John Mellor
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 55728 None None None 2012-10-08 05:27:14 EDT

  None (edit)
Description John Mellor 2012-10-07 11:10:08 EDT
Created attachment 622997 [details]
.docx document that causes the crash.

Description of problem:
Open a .docx document in LibreOffice, which immediately crashes

Version-Release number of selected component (if applicable):

How reproducible:
100% repeatable

Steps to Reproduce:
1. Click on attached Office document
2. Note crash.
Actual results:
SegV crash.

Expected results:
Normal document opening.

Additional info:
Comment 1 John Mellor 2012-10-07 11:13:27 EDT
Created attachment 622998 [details]
traceback constructed by abrt
Comment 2 John Mellor 2012-10-07 11:14:15 EDT
Abrt is erroneously attributing this crash to https://bugzilla.redhat.com/show_bug.cgi?id=758860, which was fixed long ago.
Comment 3 John Mellor 2012-10-07 18:51:55 EDT
The Gnome people report that this problem is not reproduceable using 3.5.4 or current master on Ubuntu 12.04 or 3.6.2 on 12.10, so looks like either Fedora specific or a regression in the 3.5 series.

See https://bugs.freedesktop.org/show_bug.cgi?id=55728 for their initial analysis.
Comment 4 Michael Stahl 2012-10-08 09:24:40 EDT
yes clearly ABRT is wrong here, not a duplicate of that other bug.

regression in upstream libreoffice-3-5 branch,
see comment on the fdo bug.
Comment 5 David Tardon 2012-12-21 07:21:24 EST
opens fine in 3.6
Comment 6 Michael Stahl 2013-01-04 14:09:40 EST
*** Bug 890025 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.